rpld-storemgr(1)

NAME

rpld-storemgr - Offline store manager for the RoarAudio PlayList Daemon

SYNOPSIS

rpld-storemgr [OPTIONS] command [ARGS]

DESCRIPTION

The RoarAudio PlayList Daemon is a daemon which manages playlists and can play files or streams from those lists using a RoarAudio Sound Server.

This program is used to create, alter and remove stores (databases) for this daemon.

OPTIONS

-h --help
    Show a small help.

--config FILE
    Read an additional config files.

--store-path PATH
    Sets the store path to PATH.

--histsize SIZE
    Set size of default history.

--role ROLE
    Set the stream role for the default queue.

--force
    Force operation.

COMMANDS

help
    Does the same as --help.

remove
    Remove an existing store.

create [TYPE [SERVER]]
    Create a new store. TYPE may be "roar" or "SavannahIce". If TYPE is set to "roar" SERVER is the location of the RoarAudio server to use. If TYPE is set to "SavannahIce" SERVER is the URL of an Icecast mount point to stream to. The script will set up the store in a way that will automatically start SavannahIce and stream to the given mount.

import PLAYLIST [TYPE [FILE]]
    Import the playlist file FILE into the playlist PLAYLIST. FILE is a playlist of type TYPE. If FILE is not given stdin is assumed. If TYPE is not given VCLT is assumed.

export PLAYLIST [TYPE [FILE]]
    Export the playlist PLAYLIST into the file FILE. FILE is a playlist of type TYPE. If FILE is not given stdout is assumed. If TYPE is not given VCLT is assumed.

run [ARGS]
    Start rpld with selected store. The given arguments ARGS are passed as they are to the daemon.

console [ARGS]
    Start rpld with only the current console connected. The given arguments ARGS are passed as they are to the daemon.

info
    Show information about the store.

check
    Check store for errors.

FILES
By default the files /etc/rpld-storemgr.conf and ~/.rpld-storemgr.conf are included if they exist. The user can also add additional config files using the --config option (see above).

CONFIG FILE FORMAT
The config files are in normal POSIX shell syntax. They can set the following variables:

RPLD_STORE_LOCATION
    This is the location of the store to operate on.

RPLD
    This is the program name and path to the Daemon.

COMMAND
    This is the command to be executed. It is very unlikely that this needs to be set by an config file. Note that this does not include the command's options.

FORCE
    This is the current value of the force option. It can be set to "true" and "false".

HISTSIZE
    This is the default history size.

ROLE
    This is the default role.

HISTORY
This tool got introduced in version 0.1.4 of the RoarAudio PlayList Daemon.

SEE ALSO
rpld-deprecated(1), rpld(7), RoarAudio(7).